Skip to navigation

Get Employee Earning [Single]

View as Markdown

Summary Description

This function will allow the API user to get the details for a specific deduction code on an employee record.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

employeeIdstringRequired
Employee identifier within the specified company.
earningCodestringRequired
Earning code for the employee.

Headers

testModestringOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Response

Successful response

Errors

401
Unauthorized Error